# Interface WritableOptions

#### Hierarchy

- StreamOptions<Writable>
  - WritableOptions
    - DuplexOptions

#####
Index

### Properties

autoDestroy?
decodeStrings?
defaultEncoding?
emitClose?
highWaterMark?
objectMode?
signal?

### Methods

construct?
destroy?
final?
write?
writev?

## Properties

### `Optional` autoDestroy

autoDestroy?: boolean

Inherited from StreamOptions.autoDestroy

### `Optional` decodeStrings

decodeStrings?: boolean

### `Optional` defaultEncoding

defaultEncoding?: BufferEncoding

### `Optional` emitClose

emitClose?: boolean

Inherited from StreamOptions.emitClose

### `Optional` highWaterMark

highWaterMark?: number

Inherited from StreamOptions.highWaterMark

### `Optional` objectMode

objectMode?: boolean

Inherited from StreamOptions.objectMode

### `Optional` signal

signal?: AbortSignal

When provided the corresponding `AbortController` can be used to cancel an asynchronous action.

Inherited from StreamOptions.signal

## Methods

### `Optional` construct

- construct(this, callback): void

- #### Parameters

  - ##### this: Writable

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.construct

### `Optional` destroy

- destroy(this, error, callback): void

- #### Parameters

  - ##### this: Writable

  - ##### error: null | Error

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

  Inherited from StreamOptions.destroy

### `Optional` final

- final(this, callback): void

- #### Parameters

  - ##### this: Writable

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

### `Optional` write

- write(this, chunk, encoding, callback): void

- #### Parameters

  - ##### this: Writable

  - ##### chunk: any

  - ##### encoding: BufferEncoding

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

### `Optional` writev

- writev(this, chunks, callback): void

- #### Parameters

  - ##### this: Writable

  - ##### chunks: {
    chunk: any;
    encoding: BufferEncoding;
    }[]

  - ##### callback: ((error?) => void)

    - - (error?): void

      - #### Parameters

        - ##### `Optional` error: null | Error

        #### Returns void

Generated using TypeDoc